Subject: Re: [Netconf] NETCONF Protocol Interoperability Event around QuebecMeeting ? - MG-SOFT's NETCONF and YANG tools

From: Matjaz Vrecko <[email-masked]>
Date: Fri, 01 Jul 2011 11:35:32 +0200

Hello Mehmet, Bert et all,

It's July 1st, which was the original scheduled date for the
interoperability tests, so I would like to use the opportunity
and post this brief note to let you know that MG-SOFT has
recently published the RC4 release of our first two NETCONF/YANG
products: NETCONF Browser and Visual YANG Designer. They are
both available from our web site at
http://www.mg-soft.com/download.html?os=java

Until now, both our products were evaluated and tested mostly by
Tail-F team (thank you very much once again to anyone involved
at Tail-F's side!) and some other selected customers (thank
you to them as well!),... and now we are offering them to anyone
interested for evaluation, interoperability testing and review.
We would appreciate to receive any kind of feedback.

Thank you and best regards,
Matjaz

On 19-May-2011 2:57 PM, Ersue, Mehmet (NSN - DE/Munich) wrote:
> Hi All,
>
> it seems there is no sufficient interest on a NETCONF
> Protocol Interoperability Event. Thank you to those few
> guys who send us their comments.
>
> We go into a silent mode now, until we here some concrete
> interest for such an event with the goal to get NETCONF
> documents into draft standard status.
>
> Mehmet&  Bert
>
>
>> -----Original Message-----
>> From: [email-masked] [mailto:[email-masked]] On
>> Behalf Of ext Bert Wijnen (IETF)
>> Sent: Saturday, April 30, 2011 5:17 PM
>> To: netconf
>> Subject: Re: [Netconf] NETCONF Protocol Interoperability Event around
>> QuebecMeeting ?
>>
>> We (WG chairs) made a little mistake. WE did not
>> put a deadline for responsesn.
>>
>> Sofar, we have only had one response (albeit a positive one)
>> to our poll for interest in an interoperability event around the
>> next IETF meeting.
>>
>> If we do not get (at least 2, preferably more) more positive
>> responses by May 10, then we won't have such an event.
>>
>> Your WG chairs.
>> Bert and Mehmet
>>
>> ----- Original Message -----
>> From: "Ersue, Mehmet (NSN - DE/Munich)"<[email-masked]>
>> To: "netconf"<[email-masked]>
>> Cc: "ext Romascanu, Dan (Dan)"<[email-masked]>;
>> <[email-masked]>
>> Sent: Sunday, April 03, 2011 9:35 AM
>> Subject: NETCONF Protocol Interoperability Event around Quebec Meeting
>> ?
>>
>>
>> Dear NETCONF WG,
>>
>> in the IETF80 NETCONF session it has been discussed whether a NETCONF
>> protocol interoperability event should be organized to take place
>> around
>> the Quebec meeting.
>> The NETCONF interoperability event would be helpful to get our
> Proposed
>> Standards to the Draft Standard status.
>>
>> The chairs would like to sense of the WG for the level of interest of
>> the implementers on such an interop event.
>>
>> The focus in the interoperability event would be on following RFCs:
>> - draft-ietf-netconf-4741bis (in RFC Ed Queue),
>> - draft-ietf-netconf-rfc4742bis (in RFC Ed Queue),
>> - RFC 5277 - NETCONF Event Notifications,
>> - RFC 6022 - YANG Module for NETCONF Monitoring,
>> - RFC 5717 - Partial Lock RPC for NETCONF,
>> - draft-ietf-netconf-with-defaults (in RFC Ed Queue).
>>
>>
>> The questions we would like to clarify are in the first step:
>>
>> - Who has which implementations ready to test by July 1st, 2011?
>> -  Who would come with implementations and participate if the event
>> gets
>> organised?
>> - Who can provide content for testing (i.e. YANG modules e.g.
>> Monitoring)?
>> - Who would be willing to prepare test cases?
>>
>> Please state your interest and opinion on the interop event to the
>> chairs directly.
>>
>> Mehmet&  Bert
>>
>>
>> _______________________________________________
>> Netconf mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netconf
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf

-- 
Matjaz Vrecko
MG-SOFT Corporation, Strma ulica 8, SI-2000 Maribor, Slovenia
Internet: http://www.mg-soft.si/  E-mail: <[email-masked]>
Phone: +386 2 2506565, Fax: +386 2 2506566

---

From: "Bert Wijnen \(IETF\)" <[email-masked]>
Date: Wed, 13 Jul 2011 15:19:04 +0200

Matjaz,

Sorry for a bit of delay in answering (vacation and such..).

Good to see one more implementation.
As you may have seen, the interoperability event in Quebec was canceled,
because we did not get enough commitments in time in order to make
arrangements. That does not mean that people cannot sit together and
do some informal interoperability testing. That would be goodness in fact.

Will you be in Canada at our meeting?

Meanwhile, we have RFCs 6241, 6242 and 6243 published. They are
the cleaned up versions and should make it easier for implementing
(and checking) interoperable implemntations.

Bert and Mehmet

----- Original Message ----- 
From: "Matjaz Vrecko" <[email-masked]>
To: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>; "netconf" 
<[email-masked]>; <[email-masked]>
Cc: <[email-masked]>
Sent: Friday, July 01, 2011 11:35 AM
Subject: Re: [Netconf] NETCONF Protocol Interoperability Event around 
QuebecMeeting ? - MG-SOFT's NETCONF and YANG tools